libogg documentation | libogg - 20011218

# ogg_page_packets

declared in "ogg/ogg.h";

Returns the number of packets that are completed on this page. If the leading packet is begun on a previous page, but ends on this page, it's counted.

    int ogg_page_packets(ogg_page *og);

### Parameters

og
  Pointer to the current ogg_page struct.

### Return Values

> If a page consists of a packet begun on a previous page, and a new packet begun (but not completed) on this page, the return will be:
> ogg_page_packets(page) will return 1,
> ogg_page_continued(paged) will return non-zero.
> If a page happens to be a single packet that was begun on a previous page, and spans to the next page (in the case of a three or more page packet), the return will be:
> ogg_page_packets(page) will return 0,
> ogg_page_continued(page) will return non-zero.

copyright © 2001 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg - 20011218